complexType "UnitQuantity"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | quantityUnit?, quantity?
</...>

Content Model Elements (2):

  quantity (defined in UnitQuantity complexType), | quantityUnit (defined in UnitQuantity complexType)

All Direct / Indirect Based Elements (3):

  numberOfAllowances,
  totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group),
  totalPhysicalQuantity (in deliveryQuantity in electricityPhysicalLeg)

Known Usage Locations

- As direct type of elements (3):
  numberOfAllowances,
  totalPhysicalQuantity (defined in CommodityFixedPhysicalQuantity.model group),
  totalPhysicalQuantity (in deliveryQuantity in electricityPhysicalLeg)

Annotation
A quantity and associated unit.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="UnitQuantity"> <xsd:sequence> <xsd:element minOccurs="0" name="quantityUnit" type="QuantityUnit"/> <xsd:element minOccurs="0" name="quantity" type="NonNegativeDecimal"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
quantity

  Type: | NonNegativeDecimal, simple content

  Amount of commodity per quantity frequency.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantity" type="NonNegativeDecimal"/>

quantityUnit

  Type: | QuantityUnit, simple content

  Quantity Unit is the unit of measure applicable for the quantity on the Transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantityUnit" type="QuantityUnit"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.